{% extends '::base.html.twig' %} 
{% form_theme form_ps _self %} 

{% block title %}MDR - Pauta Seca{% endblock %}

{% block stylesheets %}
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdrcobranza/css/style.css') }}">
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdrcobranza/css/bootstrap.min.css') }}">
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdrcobranza/css/bootstrap-theme.min.css') }}">
	<link rel="stylesheet" type="text/css" href="{{ asset('vendor/css/jquery.dataTables.css') }}">
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdrcobranza/css/icons.css') }}">
{% endblock %}
{% block body %}
<!--BARRA DE MENUS-->
	<div class="container" style="width:97%; margin-top:15px;">
		



      <div class="at_crcobranza">
			 <div id="bt_opmenu">
      				{{form(form_ps)}}
      		</div>
      	<div class="table-responsive">	
      		<table id='tbl_operaciones' class="table table-bordered">
				<thead class='head_table'>
					<tr>
						<th><span class="icon-check-square" id="icons"></span></th>
						<th style="width: 120px !important;" class="title_head" >Pedido</th>
						<th style="width: 100px !important;" class="title_head">Tipo Pago</th>
						<th style="width: 145px !important;" class="title_head">FAlta</th>
						<th style="width: 484px !important;" class="title_head">Productos</th>
						<th style="width: 115px !important;" class="title_head">Gastos Envio</th>
						<th style="width: 115px !important;" class="title_head">Subtotal</th>
						<th style="width: 115px !important;" class="title_head">Total</th>
					</tr>
				</thead>
				<tbody id="body_tbl_operaciones" style="background: white;">
					{% for entity in pauta %}
						<tr>
							<td><input type="checkbox" class="check_pf" onchange="check_pf('{{ entity.idPedido }}');"></td>
							<td><button type="button" class="btn btn-info" onclick="showDtl('{{ entity.idPedido }}')"><span class="icon-file" id="icon_btn"></span>   {{ entity.idPedido }}</button></td>
							<td>{{ entity.pago.descripcion }}</td>
							<td>{{ entity.fecha.date|date("d/m/Y H:i:s") }}</td>
							<td>
								<table class="table table-condensed">
									{% for productos in entity.productos %}
									<tr>								  	
								  		<td>{{ productos.productoPrecio.producto.descripcion }}</td>
										<td>{{ productos.cantidad }} pzas.</td>
										<td>$ {{ productos.productoPrecio.precio }}</td>									
									</tr>	
									{% endfor %}	
								</table>
							</td>	
							<td>$ {{ entity.gastosEnvio.precio }}</td>
							<td>$ {{ entity.subTotal }}</td>
							<td>$ {{ entity.totalPago }}</td>
						</tr>
					{% endfor %}
				</tbody>
			</table>	
		</div>

      		<div id="btns_oper">
				<button type="button" onclick="marcar(':checkbox')" class="btn btn-primary" id="btn_all"><span class="icon-check-square" id="icon_btn"></span>  Marcar todos</button>
				<button type="button" onclick="desmarcar(':checkbox')" class="btn btn-warning" id="btn_none"> <span class="icon-marquee" id="icon_btn"></span>  Desmarcar</button>
				<button type="button" class="btn btn-success" onclick="liberarPedidos();" id="btn_liberar"> <span class="icon-send" id="icon_btn"></span> Liberar</button>
				<button type="button" onclick="opencancel();" class="btn btn-danger" id="btn_cancel"> <span class="icon-blocked" id="icon_btn"></span> Cancelar</button>
			</div>	


      </div>

<!--POPUP detalle del pedido -->
<div class="modal fade modal_base" id="popup_up_detalle" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog" style="width: 65%;">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
        <h3 class="modal-title" >Detalle del pedido<h3>
      </div>
      <div class="modal-body" id="body_detalle" >
      	
      </div>
      <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>

<!-- POPUP CANCELACION  -->
<div class="modal fade modal_base" id="popup_cancel" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
        <h3 class="modal-title" id="title_cancel">Cancelación de pedidos Pauta Seca</h3>
      </div>
      <div class="modal-body" id="body_cancel">
      </div>
      <div class="modal-footer" id="footer_cancel">
      		<button type="button" onclick="cancelarPedidos();" class="btn btn-danger"> Cancelar</button>      		
            <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>


<!-- POPUP LOG DE EVENTOS  -->
<div class="modal fade modal_base" id="popup_log" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h3 class="modal-title" id="title_log">Log de Pedidos Pauta Seca</h3>
      </div>
      <div class="modal-body" id="body_log" stryle="max-height: 473px;overflow-x: hidden;overflow-y: auto;">
      </div>
      <div class="modal-footer" id="footer_log">	
            <button type="button" class="btn btn-default" data-dismiss="modal" onclick="reload()">Cerrar</button>
      </div>
    </div>
  </div>
</div>


	</div>
{% endblock %}
{% block javascripts %}
<script>var pautaSecaJSON = {{ pauta|json_encode()|raw }};</script>
<script type="text/template" id='previewBodyTemplate'>	
	<div class="panel panel-default">
  		<div class="panel-body">
  			<div><b>Cliente: </b><span class="cliente"><%= cliente.toString %></span></div>
			<div><b>Dirección: </b><%= direccion.toString %></div>
			<div><b>Referencia: </b><%= direccion.referencia %></div>
			<div><b>Telefonos Casa: </b><%= direccion.telCasa %>&nbsp;&nbsp;&nbsp;<b>Oficina: </b><%= direccion.telOficina %>&nbsp;&nbsp;&nbsp;<b>Celular: </b><%= direccion.telCel %></div>
  		</div>
	</div>
	<table class="table table-bordered">
		<thead>
			<tr>
				<th>Cantidad</th>
				<th>Descripción</th>
				<th>Promocion</th>
				<th>PU</th>
				<th>Total</th>
			</tr>
		</thead>
		<tbody>
			<% _.each(productos ,function(item, key){ %>
	        	<tr>
	        		<td><%= item.cantidad %></td>
	        		<td><%= item.productoPrecio.producto.descripcion %></td>
	        		<td><%= item.productoPrecio.materialPrecio %></td>
	        		<td>$ <%= item.productoPrecio.precio %></td>
	        		<td>$ <%= parseFloat(item.productoPrecio.precio * item.cantidad) %></td>
	        	</tr>
			<% }); %>
	        <tr>
				<td colspan="3" rowspan="4"></td>
				<td>SubTotal</td>
				<td>$ <%= parseFloat(subTotal) %></td>
			</tr>
			<tr>
				<td>Descuento</td>
				<%	if(descuentos.length > 0){ %>
					<td><b>$ <%= parseFloat(descuentos[0].importe) %></b></td>
				<% }else{ %>			
					<td><b>$ 0.0</b></td>
				<% } %>
			</tr>
			<tr>
				<td>Envío</td>
				<td>$ <%= parseFloat(gastosEnvio.precio) %></td>
			</tr>
			<tr>
				<td>Total</td>
				<td><b>$ <%= parseFloat(totalPago) %></b></td>
			</tr>
		</tbody>
	</table>
	<div class="row">
		<div class="col-xs-4"><b>Tipo de pago: </b><%= pago.descripcion %></div>
	</div>
	<% if(pago.idTipoPago == 1){ %>
	<div class="panel panel-default">
  		<div class="panel-body">
			<div class="row">
				<div class="col-xs-9"><b>Titular: </b><%= pagosTarjeta[0].titular %></div>
				<div class="col-xs-3"><b>Es Titular: </b><%= pagosTarjeta[0].esTitular == 1 ? "Sí" : "No" %></div>
			</div>
			<div class="row">
				<div class="col-xs-6"><b>No. Tarjeta: </b><%= pagosTarjeta[0].numeroTarjeta.substr(0,6) %>XXXXXXX<%= pagosTarjeta[0].numeroTarjeta.substr(13,15) %></div>
				<div class="col-xs-3"><b>Vigencia: </b><%= pagosTarjeta[0].vigencia.date.substr(0,7) %></div>
				<div class="col-xs-3"><b>Código: </b>XXXX</div>
			</div>
			<div class="row">
				<div class="col-xs-4"><b>Tipo: </b><%= pagosTarjeta[0].tipoTarjeta.descripcion %></div>
				<div class="col-xs-4"><b>Banco: </b><%= pagosTarjeta[0].banco.nombre %></div>
				<div class="col-xs-4"><b>Promoción: </b><%= pagosTarjeta[0].promocion.descripcion %></div>
			</div>
		</div>
	</div>
	<% } %>

</script>
<script type="text/javascript" src="{{ asset('bundles/mdrcobranza/js/tools_ps.js') }}"></script>
    <script>

    $( "#form_fechaInicio" ).datepicker({
      format:   "dd/mm/yyyy",
      changeMonth: true,
      changeYear: true,
      yearRange: "1900:2050",
    });

    $( "#form_fechaFin" ).datepicker({
      format:   "dd/mm/yyyy",
      changeMonth: true,
      changeYear: true,
      yearRange: "1900:2050",
    });

    </script>
{% endblock %}